package cn.xbz.clientsecurity;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@EnableEurekaClient
@SpringBootApplication
@RestController
public class ClientSecurityApplication {

    public static void main(String[] args) {
        SpringApplication.run(ClientSecurityApplication.class, args);
    }

    @Value("${spring.application.name}")
    private String name;

    @Value("${server.port}")
    private Integer port;

    @RequestMapping("/hello")
    public String hello(String user) {
        return "hello , " + user + " . I am " + name + " , from port " + port;
    }
}